/* Tera Term
 Copyright(C) 1994-1996 T. Teranishi
 All rights reserved. */

/* TERATERM.EXE, VT terminal display routines */
#ifdef __cplusplus
extern "C" {
#endif
/* prototypes */

void InitDisp();
void EndDisp();
void ResetDisp();
void SetLogFont();
void ChangeFont();
void ResetIME();
void ChangeCaret();
void CaretOff();
void ChangeWindowSize(int Nx, int Ny);
void ChangeTerminalSize(int Nx, int Ny);
void ResizeWindow(int x, int y, int w, int h, int cw, int ch);
void PaintWindow(HDC PaintDC, LPPAINTSTRUCT ps);
void MoveCursor(int Xnew, int Ynew);
void EraseKanji(int LR);
void CursorUpWithScroll();
void SetTabStop();
void Tab();
void BackSpace();
void CarriageReturn();
void LineFeed(BYTE b);
void DispChar(BYTE b);
void DispKanji(BYTE b);
void DispAllChar(BYTE b);
void CaretOn();
void SetupDC();
void UpdateStr();
void UpdateRect
  (HDC UpdateDC, int XStart, int YStart, int XEnd, int YEnd);
void ClearBuffer();
void ChangeSelectRegion();
void ChangeWin();

extern HFONT VTFont[AttrFontMask];
extern LOGFONT VTlf;
extern int WinWidth, WinHeight, WinWidthOld, WinHeightOld;
extern BOOL Active, CompletelyVisible, Minimized;
extern int CursorX, CursorY;
extern int CursorTop, CursorBottom;
extern BOOL LButton, MButton, RButton, DblClk, TplClk;
extern int DblClkX, DblClkY;
extern BYTE CharAttr, CharAttr2;
extern BOOL Special;
extern WORD TabStops[256];
extern int NTabStops;
    /* GL, GR code group */
extern int Glr[2];
    /* G0, G1, G2, G3 code group */
extern int Gn[4];
    /* single shift 2/3 flag */
extern BOOL SSflag;
    /* GL for single shift 2/3 */
extern int GLtmp;
    /* single shift 2/3 flag */
extern BOOL SSflag;
    /* JIS -> SJIS conversion flag */
extern BOOL ConvJIS;
extern WORD Kanji;
extern int StrChangeCount;
extern int FontHeight, FontWidth, ScreenWidth, ScreenHeight;
extern BOOL InsertMode;
extern BOOL LFMode;
extern BOOL AutoWrapMode;
extern HBRUSH Background;
extern BOOL AdjustSize, DontChangeSize;
extern int CRTWidth, CRTHeight;

#ifdef __cplusplus
}
#endif

